/* global varables */
:root {
    --clr-primary: #3777aa;
    --clr-primary-light: #2284d3;
    --clr-white: #ffffff;
    --clr-white-light: #f0f0f0;
    --clr-shadow: #00000029;
    --clr-black: #333333;
    --clr-black-30: #2220204d;
    --clr-black-80: #222020cc;
    --clr-black-90: #212020e6;
    --clr-pink-light: #e9cece;
    --clr-blue-light: #cbe7e1;

    --font-family: Arial, Helvetica, sans-serif;
    --box-shadow-light:0px 3px 7px var(--clr-shadow);
    --box-shadow-dark: 0px 3px 7px var(--clr-black-30);
    --transition: all 0.3s linear;
    --radius: 4px;

}

/* global styles */
*,
::after,
::before
{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body {
    color: var(--clr-black);
    background: var(--clr-white);
    font-family: var(--font-family);
    line-height: 1.5;
}
ul {
    list-style-type: none;
}
a {
    text-decoration: none;
}
img {
    display: block;
}

/* global classes */
.wrapper {
    max-width: 1250px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 20px;
    padding-right: 20px;
}
.text-container {
    max-width: 1000px;
    margin-left:auto;
    margin-right: auto;
}
.display-block {
    display: block !important;
}
.text-center{
    text-align: center;
}
.text-left {
    text-align: left;
}
.text-right {
    text-align: right;
}
@media screen and (max-width:991px){
    .full-width-mobile {
        width: 100%;
    }
}
@media screen and (min-width:992px) {
    .full-width-desktop {
        width: 100%;
    }
}
.light-pink-background {
    background: var(--clr-pink-light);
}
.light-blue-background {
    background: var(--clr-blue-light);
}
.section-title .title {
    font-size: 30px;
    font-weight: bold;
    text-transform: capitalize;
    text-align: center;
    margin-bottom: 15px;
    color: var(--clr-primary);
}
.section-title .underline {
    width: 60px;
    height: 5px;
    background: var(--clr-primary);
    margin-left: auto;
    margin-right: auto;
}
.button-primary-dark, 
.button-primary-light {
    font-weight: bold;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
    height: 45px;
    transition: var(--transition);
    font-size: 16px;
    letter-spacing: 1px;
    padding-left: 20px;
    padding-right: 20px;
    min-width: 200px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: var(--radius); 
}
.button-primary-dark {
    background: var(--clr-primary);
    color: var(--clr-white);
}
.button-primary-light {
    background: var(--clr-white);
    color: var(--clr-primary);
}
.button-primary-dark:hover {
    background: var(--clr-primary-light);
}
.button-primary-light:hover {
    background: var(--clr-white-light);
}
.primary-input,
.primary-textarea {
    height: 45px;
    font-size: 16px;
    line-height: 25px;
    padding-left: 15px;
    padding-right: 15px;
    border-radius: calc(var(--radius)-2px);
    border: 1px solid var(--clr-shadow);
    letter-spacing: 1px;
    font-family: var(--font-family);
}
.primary-textarea {
    height: unset;
    padding-top: 15px;
    padding-bottom: 15px;
    resize: vertical;

}
.primary-input ::placeholder 
.primary-textarea::placeholder
{
    text-transform: capitalize;
}
@media screen and (min-width: 992px){
    .button-primary-dark,
    .button-primary-light {
        height: 50px;
        min-width: 220px;
    }
    .primary-input {
        height: 50px;
    }
}
@keyframes bounceAnimation {
    0% {
        transform: scale(0.8);
    }
    100% {
        transform: scale(1.1);
    }
}


